VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| operator VkDescriptorSetVariableDescriptorCountLayoutSupportEXT const & () const
| operator VkDescriptorSetVariableDescriptorCountLayoutSupportEXT & ()
bool | operator== (DescriptorSetVariableDescriptorCountLayoutSupportEXT const &rhs) const
bool | operator!= (DescriptorSetVariableDescriptorCountLayoutSupportEXT const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | maxVariableDescriptorCount

## Private Attributes

StructureType | sType = StructureType::eDescriptorSetVariableDescriptorCountLayoutSupportEXT

## Detailed Description

Definition at line 18172 of file vulkan.hpp.

## Member Function Documentation

## operator VkDescriptorSetVariableDescriptorCountLayoutSupportEXT &()

VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::operator VkDescriptorSetVariableDescriptorCountLayoutSupportEXT & | ( |  | ) |

inline

Definition at line 18179 of file vulkan.hpp.

{
return *reinterpret_cast<VkDescriptorSetVariableDescriptorCountLayoutSupportEXT*>(this);
}

## operator VkDescriptorSetVariableDescriptorCountLayoutSupportEXT const &()

VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::operator VkDescriptorSetVariableDescriptorCountLayoutSupportEXT const & | ( |  | ) | const

inline

Definition at line 18174 of file vulkan.hpp.

{
return *reinterpret_cast<const VkDescriptorSetVariableDescriptorCountLayoutSupportEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::operator!= | ( | DescriptorSetVariableDescriptorCountLayoutSupportEXT const & | rhs | ) | const

inline

Definition at line 18191 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::operator== | ( | DescriptorSetVariableDescriptorCountLayoutSupportEXT const & | rhs | ) | const

inline

Definition at line 18184 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( maxVariableDescriptorCount == rhs.maxVariableDescriptorCount );
}

References maxVariableDescriptorCount, pNext, and sType.

Referenced by operator!=().

## Field Documentation

## maxVariableDescriptorCount

uint32_t VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::maxVariableDescriptorCount

Definition at line 18201 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::pNext = nullptr

Definition at line 18200 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::sType = StructureType::eDescriptorSetVariableDescriptorCountLayoutSupportEXT

private

Definition at line 18197 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::pNext
void * pNext
Definition: vulkan.hpp:18200
VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::maxVariableDescriptorCount
uint32_t maxVariableDescriptorCount
Definition: vulkan.hpp:18201
VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::operator==
bool operator==(DescriptorSetVariableDescriptorCountLayoutSupportEXT const &rhs) const
Definition: vulkan.hpp:18184
VULKAN_HPP_NAMESPACE::DescriptorSetVariableDescriptorCountLayoutSupportEXT::sType
StructureType sType
Definition: vulkan.hpp:18197
VkDescriptorSetVariableDescriptorCountLayoutSupportEXT
Definition: vulkan_core.h:7995